| Bsoft 2.0.5 Bernard's software package

Functions | Variables
binomial.cpp File Reference

Functions to generate and fit binomials. More...

`#include "simplex.h"`
`#include "math_util.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
double | Bnp_R (Bsimplex *simp)
double | Bnpk (int n, double p, int k, double w)
| Calculates the probability of k occurrences in n cases. More...
double | Bnp_R (Bsimplex &simp)
double | binomial_fit (vector< double > &distrib, int n, int nfit, vector< double > &coeff)
| Fits a distribution to one or more binomial distributions. More...

## Variables
int | verbose

## Detailed Description

Functions to generate and fit binomials.

Author
  Daniel Nemecek and Bernard Heymann

Date
  Created: 20091202
  Modified: 20190201

Definition in file binomial.cpp.

## Function Documentation

## ◆ binomial_fit()

double binomial_fit | ( | vector< double > & | distrib,
|  | int | n,
|  | int | nfit,
|  | vector< double > & | coeff
| ) |  |

Fits a distribution to one or more binomial distributions.

Author
  Daniel Nemecek and Bernard Heymann

Parameters

  &distrib | distribution.
  n | number of cases (number of values in distribution).
  nfit | number of binomial curves to fit.
  &coeff | fitted coefficients (weights and probabilities).

Returns
  double residual.

      The binomial curve(s) is(are) fit using the downhill simplex method.

Definition at line 89 of file binomial.cpp.

## ◆ Bnp_R() [1/2]

double Bnp_R | ( | Bsimplex * | simp | ) |

## ◆ Bnp_R() [2/2]

double Bnp_R | ( | Bsimplex & | simp | ) |

Definition at line 43 of file binomial.cpp.

## ◆ Bnpk()

double Bnpk | ( | int | n,
|  | double | p,
|  | int | k,
|  | double | w
| ) |  |

Calculates the probability of k occurrences in n cases.

Author
  Daniel Nemecek and Bernard Heymann

Parameters

  n | number of cases.
  p | probability of one occurrence [0-1].
  k | occurrences (<=n).
  w | weight [0-1].

Returns
  double weighted probability.

Definition at line 28 of file binomial.cpp.

## Variable Documentation

## ◆ verbose

int verbose